package yangtz.cs.liu.campus.service.schoolgrade;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.entity.SchoolTeacher;
import yangtz.cs.liu.campus.domain.schoolgrade.SchoolGrade;
import yangtz.cs.liu.campus.domain.schoolgrade.SchoolGradeMentor;
import yangtz.cs.liu.campus.vo.schoolgrade.SchoolGradeMentorVo;
import yangtz.cs.liu.campus.vo.teacher.SchoolTeacherVO;

import java.util.List;

public interface ISchoolGradeMentorService extends IService<SchoolGradeMentor> {

    public List<SchoolGradeMentorVo> selectSchoolGradeMentorList(SchoolGradeMentorVo schoolGradeMentor);

    public SchoolGradeMentorVo selectSchoolGradeMentorById(Long id);

    public String selectTeacherName(SchoolGradeMentor schoolGradeMentor);


    public SchoolGradeMentor selectSchoolGradeById(Long id);

    List<SchoolGradeMentorVo> exportByIds(List<Integer> ids,Long gradeId);

    List<SchoolTeacher> getGradeLeader(Long gradeId, String role, SchoolTeacherVO teacherVO);

    //(改造)获取级部主任
    List<SchoolTeacher> getGradeDirector(Long deptId, String role, SchoolTeacherVO teacherVO);

    //获取用户所在级部列表
    List<SchoolGrade> selectGrades(Long userId,int schoolYear);
    List<SchoolGrade> selectGradeList(Long userId);
}
